### Class

# Phosh ToplevelManager

#### Description [src]

    final class Phosh.ToplevelManager : GObject.Object
    {
      /* No available fields */
    }

Tracks and interacts with toplevel surfaces for window management purposes using the wlr-foreign-toplevel-unstable-v1 wayland protocol.

#### Ancestors

- GObject

#### Constructors

###### phosh_toplevel_manager_new

No description available.

#### Instance methods

###### phosh_toplevel_manager_get_num_toplevels

No description available.

###### phosh_toplevel_manager_get_parent

Gets the parent toplevel of a given toplevel.

###### phosh_toplevel_manager_get_toplevel

Get the nth toplevel in the list of toplevels.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.ToplevelManager:num-toplevels

No description available.

#### Signals

###### Phosh.ToplevelManager::toplevel-added

Emitted whenever a toplevel has been added to the list.

###### Phosh.ToplevelManager::toplevel-changed

Emitted whenever a toplevel has changed properties.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshToplevelManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.